> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieloloyalty.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store by Store Code



## OpenAPI

````yaml /api-reference/Loyalty-App-Open-API-Spec_Swagger.yaml post /dx/api/application/v2/data_views/GetStoreByBusinessKeys
openapi: 3.0.0
info:
  title: Fielo Loyalty App API Spec
  version: 1.0.0
servers: []
security: []
paths:
  /dx/api/application/v2/data_views/GetStoreByBusinessKeys:
    post:
      summary: Get Store by Store Code
      requestBody:
        content:
          application/json:
            example:
              dataViewParameters:
                StoreCode: NW-RJ450
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                data:
                  - '@version': 1
                    '@class': Store
                    ID: STE6TG95YWx0eV9fU3RvcmVfNjg5ZGUzMTdmNjgxNGYwMGE2ODkyMjFj
                    Name: Store6
                    UpdateDateTime: '2025-08-14T13:22:31.113Z'
                    CreateDateTime: '2025-08-14T13:22:31.113Z'
                    CreateUser:
                      '@class': User
                      ID: >-
                        STE6UGVnYVBsYXRmb3JtX19Vc2VyXzY4NjcxYjRjOTU4OGNkM2JmYmVkZjg1Mw
                    UpdateUser:
                      '@class': User
                      ID: >-
                        STE6UGVnYVBsYXRmb3JtX19Vc2VyXzY4NjcxYjRjOTU4OGNkM2JmYmVkZjg1Mw
                    ApplicationName: Loyalty
                    UpdateUserID: systemuser_burgerkingapiuser_rhdlfx8bukx9ttqa
                    CreateUserID: systemuser_burgerkingapiuser_rhdlfx8bukx9ttqa
                    ApplicationVersion: 0.1.0-1
                    HistoryCounter: 3
                    Status: Open-Active
                    BusinessID: S-704RMN
                    Description: Store6 Description
                    pzCaseTypeID: CaseType-Loyalty__Store-Loyalty__Store
                    CaseSLAEventID: goal:0c1ebc2d-c362-8cba-242f-2752f11939e8
                    Origin: API
                    pzActiveStates: []
                    CurrentStageID: Active
                    ConfirmationNote: This stage is ready to transition.
                    CurrentStageName: Active
                    Urgency: 10
                    Assignments: []
                    StoreCode: NW-RJ450
                    StoreStatus: Active
                    IsParticipating: true
                    Address:
                      '@class': LocationAddress
                      ID: >-
                        STE6TG95YWx0eV9fTG9jYXRpb25BZGRyZXNzXzY4OWRlMzE3ZjY4MTRmMDBhNjg5MjIyMA
                      StateProvince: State1
                      Street: Street1
                      City: City1
                      PostalCode: '12345'
                      Country: BRAZIL
                resultCount: 1
                fetchDateTime: '2025-08-14T13:23:32.457Z'

````